# Dirent_Selector.h File Reference

`#include "ace/ACE_export.h"`
`#include "ace/os_include/os_dirent.h"`
`#include "ace/Dirent_Selector.inl"`

Include dependency graph for Dirent_Selector.h:

This graph shows which files directly or indirectly include this file:

## Classes

class | ACE_Dirent_Selector
| Define a portable C++ directory-entry iterator based on the POSIX scandir API. More...

## Detailed Description

Id
  Dirent_Selector.h,v 4.10 2006/02/10 10:05:58 jwillemsen Exp

Define a portable C++ interface to the <ACE_OS_Dirent::scandir> method.

Author:
  Rich Newman <RNewman@directv.com>